package org.ajax4jsf.bean;

import java.util.HashMap;
import java.util.Map;

import javax.faces.context.FacesContext;

import org.ajax4jsf.context.AjaxContext;
import org.ajax4jsf.context.AjaxContextImpl;
import org.ajax4jsf.event.AjaxEvent;
import org.ajax4jsf.event.AjaxListener;

public class TestListener implements AjaxListener {

	@SuppressWarnings("unchecked")
	public void processAjax(AjaxEvent event) {
		System.out.println("TestListener");
		FacesContext context = FacesContext.getCurrentInstance();
		if (context != null) {
			AjaxContext ajaxContext = AjaxContextImpl.getCurrentInstance(context);
			if (ajaxContext != null) {
				Map<String, Object> data = (Map<String, Object>)ajaxContext.getResponseData();
				if (null == data) {
					data = new HashMap<String, Object>();
					ajaxContext.setResponseData(data);
				}
				data.put("FListener", true);
			}
			
		}
		
	}

}
